<br>
<br>
<div class="card">
  <h5 class="card-header">Edit Profile</h5>
  <div class="card-body">
  <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
    <%= render "devise/shared/error_messages", resource: resource %>
  
    <div class="field form-group">
      <% f.label :email %><br />
      <%= f.email_field :email, class: "form-control", placeholder:"email", autofocus: true, autocomplete: "email" %>
    </div>
    <br>
    <br>
    <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
      <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
    <% end %>
  
    <div class="field form-group">
      <% f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
      <%= f.password_field :password, class: "form-control", placeholder:"password", autocomplete: "new-password" %>
      <% if @minimum_password_length %>
        <em><%= @minimum_password_length %> characters minimum</em>
      <% end %>
    </div>
    <br>
  
    <div class="field form-group">
      <% f.label :password_confirmation %><br />
      <%= f.password_field :password_confirmation, class: "form-control", placeholder:"password confirmation",autocomplete: "new-password" %>
    </div>
    <br>
    <div class="field form-group">
      <% f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
      <%= f.password_field :current_password, class: "form-control", placeholder:"current password",autocomplete: "current-password" %>
    </div>
    <br>
    <br>
    <div class="actions">
      <%= f.submit "Update", class: "btn btn-secondary" %>
    </div>
  <% end %>
   <br>
   <br>
  
  <h3>Cancel my account</h3>
  <br>
  <p>Unhappy? <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete %></p>
  
  </div>
</div>
<br>
<br>

<%= link_to "Back", :back %>
<br>
